<mat-card>
  <mat-card-title *ngIf="name" markdown [content]="name" [context]="context" [enumerator]="enumerator"></mat-card-title>
  <mat-card-content *ngIf="description" markdown [content]="description" [context]="context"></mat-card-content>
  <section class="checkboxes">
    <mat-checkbox
      *ngFor="let checkbox of block.props.checkboxes"
      [checked]="block.isChecked(checkbox)"
      (change)="block.toggle(checkbox)"
    >
      <span markdown [content]="checkbox.name || '...'" [context]="context" [lineBreaks]="false"></span>
    </mat-checkbox>
  </section>
  <mat-card-footer *ngIf="explanation" markdown [content]="explanation" [context]="context"></mat-card-footer>
</mat-card>
